! 
! File:          Strings_Cstring_Mod.F90
! Symbol:        Strings.Cstring-v1.1
! Symbol Type:   class
! Babel Version: 0.10.2
! Description:   Server-side private data module for Strings.Cstring
! 
! WARNING: Automatically generated; only changes within splicers preserved
! 
! babel-version = 0.10.2
! 

#include"Strings_Cstring_fAbbrev.h"
module Strings_Cstring_impl

! DO-NOT-DELETE splicer.begin(Strings.Cstring.use)
! Insert use statements here...
! DO-NOT-DELETE splicer.end(Strings.Cstring.use)

type Strings_Cstring_priv
  sequence
  ! DO-NOT-DELETE splicer.begin(Strings.Cstring.private_data)
  integer :: place_holder
  ! DO-NOT-DELETE splicer.end(Strings.Cstring.private_data)
end type Strings_Cstring_priv

type Strings_Cstring_wrap
  sequence
  type(Strings_Cstring_priv), pointer :: d_private_data
end type Strings_Cstring_wrap

end module Strings_Cstring_impl
